Package org.opensaml.messaging.encoder.servlet

# Interface HttpServletResponseMessageEncoder

All Superinterfaces:
  `Component`, `DestructableComponent`, `InitializableComponent`, `MessageEncoder`

All Known Implementing Classes:
  `AbstractHttpServletResponseMessageEncoder`, `BaseHttpServletResponseXMLMessageEncoder`, `BaseSAML1MessageEncoder`, `BaseSAML2MessageEncoder`, `BaseSAMLHttpServletResponseEncoder`, `HTTPArtifactEncoder`, `HTTPArtifactEncoder`, `HTTPPostEncoder`, `HTTPPostEncoder`, `HTTPPostSimpleSignEncoder`, `HTTPRedirectDeflateEncoder`, `HTTPSOAP11Encoder`, `HTTPSOAP11Encoder`, `HTTPSOAP11Encoder`

public interface HttpServletResponseMessageEncoder extends MessageEncoder
A specialization of `MessageEncoder` that operates on a sink message data type of `HttpServletResponse`.

## Method Summary

Modifier and Type
Method
Description
`HttpServletResponse`
`getHttpServletResponse()`
Get the current Http Servlet response if available.
`void`
`setHttpServletResponseSupplier(NonnullSupplier<HttpServletResponse> responseSupplier)`
Set the supplier for the HTTP servlet response on which to operate.

### Methods inherited from interface net.shibboleth.shared.component.DestructableComponent

`destroy, isDestroyed`

### Methods inherited from interface net.shibboleth.shared.component.InitializableComponent

`initialize, isInitialized`

### Methods inherited from interface org.opensaml.messaging.encoder.MessageEncoder

`encode, prepareContext, setMessageContext`

## Method Details

### getHttpServletResponse

@Nullable HttpServletResponse getHttpServletResponse()
Get the current Http Servlet response if available.

Returns:
  current Http Servlet response or null

### setHttpServletResponseSupplier

void setHttpServletResponseSupplier(@Nullable NonnullSupplier<HttpServletResponse> responseSupplier)
Set the supplier for the HTTP servlet response on which to operate.

Parameters:
  `responseSupplier` - the supplier for the HTTP servlet response